Browser requirements for accessing the Online System

In order to deliver more sophisticated features and performance for the Online System, we have utilized some of the latest improvements in web browser technology.

Certain functionality may not be available in all browsers, and the lack of that functionality will prevent you from being able to access the Online System.

Minimum Browser Requirements
  1. The browser must be configured to run javascript.
  2. The browser must be configured to accept cookies.
  3. The browser must be of a vintage that supports the XMLHttpRequest or equivalent DOM object.
  4. The browser must be of a vintage that supports window.print().
  5. The browser must be of a vintage that supports iframes.

Rather than exclude incompatible browsers by brand and version, the Online System checks for the capability of the browser to meet the minimum functionality requirements listed above. If the browser does not support the minimum functionality, access must regretably be denied. We recommend that you regularly upgrade your web browser to take advantage of the latest performance enhancements, fixes, and security patches.

The following browsers have been explicitly tested for accessing the Online System. Other browsers may also work even though they have not been tested.

  1. Internet Explorer 8 for Windows
  2. Mozilla (Firefox) 5.0
  3. Safari 4.0
  4. Google Chrome 4.0
  5. Opera 9.6
  6. Opera 10.5

To return to the main menu, click here.